package com.qmth.teachcloud.common.enums.scan;

public enum OmrType {

    FILL_AREA("填涂"),

    BARCODE("二维码");

    private String name;

    OmrType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public static OmrType getByName(String name) {
        for (OmrType r : OmrType.values()) {
            if (r.getName().equals(name)) {
                return r;
            }
        }
        return null;
    }

}
